Dashel::ParameterSet Class Reference

Parameter set. More...

`#include <dashel.h>`

## Public Member Functions

void | add (const char *line)
| Add values to set.
void | addParam (const char *param, const char *value=NULL, bool atStart=false)
| Add a parameter to a set. More...
bool | isSet (const char *key) const
| Return whether a key is set or not.
template<typename T >
T | get (const char *key) const
| Get a parameter value. More...
const std::string & | get (const char *key) const
| Get a parameter value.
std::string | getString () const
| Get the parameters as string.
void | erase (const char *key)
| Erase the parameter from the set.

## Detailed Description

Parameter set.

## Member Function Documentation

void Dashel::ParameterSet::addParam | ( | const char * | param,
|  | const char * | value = `NULL`,
|  | bool | atStart = `false`
| ) |  |

Add a parameter to a set.

Parameters

  param | name of the parameter
  value | value of the parameter or NULL (then parameter will default or pre-existing value)
  atStart | if true, insert parameter at start of the list

template<typename T >

T Dashel::ParameterSet::get | ( | const char * | key | ) | const

Get a parameter value.

Explicitely instantiated for int, unsigned, float and double in the library

Referenced by Dashel::Stream::getTargetParameter().

The documentation for this class was generated from the following file:

- dashel/dashel.h